> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Template



## OpenAPI

````yaml DELETE /api/v1/task/checklists/{id}
openapi: 3.1.0
info:
  title: Xenia Team API - Archive Template
  version: 1.0.0
  description: Archive a checklist template by its ID.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/checklists/{id}:
    delete:
      tags:
        - Checklists
      summary: Archive (Soft Delete) a Checklist Template
      description: >-
        Archives the checklist template by ID. This operation performs a soft
        delete (marks as archived).
      operationId: archiveChecklistTemplate
      parameters:
        - name: id
          in: path
          required: true
          description: Checklist template ID
          schema:
            type: string
            format: uuid
            example: 3b02e9e3-afaa-49de-bd38-dbcb73ce8701
        - name: workspace-id
          in: header
          required: true
          description: UUID of the workspace.
          schema:
            type: string
            format: uuid
            example: cb363f7e-c52a-4478-911d-f6a6f791090e
      responses:
        '200':
          description: Checklist template archived successfully
          content:
            application/json:
              example:
                data: {}
                meta: {}
        '400':
          description: Bad Request - Invalid template ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to archive template.
        '404':
          description: Not Found - Template does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: Authorization
    clientSecret:
      type: apiKey
      in: header
      name: platform

````